extends RemoteTransform2D

func _ready() -> void:
	var global_camera: Camera2D = CameraSystem.get_cached_camera()
	if not global_camera:
		push_error("[CameraFollower]:No Global Camera Founded")
		return
	remote_path = global_camera.get_path()
